package com.jeeplus.modules.sg.managementcenter.constructionProject.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.constructionProject.entity.ConstructionProject;
import com.jeeplus.modules.sg.managementcenter.project.entity.Project1;
import org.apache.ibatis.annotations.Param;

import java.util.List;
@MyBatisMapper
public interface ConstructionProjectMapper extends BaseMapper<ConstructionProject> {
    Integer insertList(@Param("list") List<ConstructionProject> list);

    Integer updateStatus(ConstructionProject constructionProject);

    Integer updateSpecificTime(ConstructionProject constructionProject);

    Integer updateSpecificLine(@Param(value = "list") List<ConstructionProject> list);

    Integer updateArrangeTimeLine(@Param(value = "list") List<ConstructionProject> list);

    List<Project1> findListProject(@Param(value = "list") List<String> strings);

    List<Project1> findAllListProject(Project1 project);

    Integer updateListProject(@Param(value = "list")List<Project1> list);
}
